import request from "@/utils/request";

// 列表查询
export function getLineDataList(data) {
  return request({
    url: "/service/baseRailwayManagement/list",
    method: "post",
    data,
  });
}
// 新增线路台账信息
export function getLineDataAddNewer(data) {
  return request({
    url: "/service/baseRailwayManagement/saveRailwayManagement",
    method: "post",
    data,
  });
}
// 删除
export function getLineDataDelete(lineIds) {
  return request({
    url: `/service/baseRailwayManagement/remove/${lineIds}`,
    method: "get",
  });
}
// 修改
export function getLineDataUpdate(data) {
  return request({
    url: "/service/baseRailwayManagement/editRailwayManagement",
    method: "post",
    data,
  });
}
// 根据台账ID获取详细信息
export function getLineDataDetail(params) {
  return request({
    url: "/service/baseLineManagement/1",
    method: "post",
    params,
  });
}
// 导入
export function getLineDataLoadIn(params) {
  return request({
    url: "/service/baseRailwayManagement/importBaseLineManagement",
    method: "post",
    data: params,
  });
}
// 导出
export function getLineDataLoadOut(data) {
  return request({
    url: "/service/baseRailwayManagement/exportBaseLineManagement",
    method: "post",
    data,
    responseType: "blob",
  });
}
// 模板下载
export function getDownLoadList(data) {
  return request({
    url: "/service/baseRailwayManagement/downloaExcel",
    method: "get",
    data,
    responseType: "blob",
  });
}
